Bug 132124 - [NEW PORT] lang/tinypy: A minimalist implementation of python in 64k of code
Summary: [NEW PORT] lang/tinypy: A minimalist implementation of python in 64k of code
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Dmitry Marakasov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-02-26 12:20 UTC by Marcin Cieslak
Modified: 2009-04-02 02:00 UTC (History)
0 users

See Also:


Attachments
tinypy-1.1.shar (2.57 KB, text/plain)
2009-02-26 12:20 UTC, Marcin Cieslak
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Marcin Cieslak 2009-02-26 12:20:02 UTC
tinypy includes a whole heap of features:

    * parser and bytecode compiler written in tinypy
    * fully bootstrapped
    * luaesque virtual machine with garbage collection written in C
      it's "stackless" sans any "stackless" features
    * cross-platform :) it runs under windows / linux / macosx
    * a fairly decent subset of python
          o classes and single inheritance
          o functions with variable or keyword arguments
          o strings, lists, dicts, numbers
          o modules, list comprehensions
          o exceptions with full traceback
          o some builtins 
    * batteries not included -- yet 

WWW:	http://www.tinypy.org/

Generated with FreeBSD Port Tools 0.77
Comment 1 Dmitry Marakasov freebsd_committer 2009-03-01 19:09:22 UTC
Responsible Changed
From-To: freebsd-ports-bugs->amdmi3

I'll take it.
Comment 2 Dmitry Marakasov freebsd_committer 2009-03-01 19:09:29 UTC
State Changed
From-To: open->feedback

Can this be changed to respect $CC and $CFLAGS and PYGAME implemented as 
an OPTION?
Comment 3 Pav Lucistnik freebsd_committer 2009-03-25 15:25:57 UTC
State Changed
From-To: feedback->open

Feedback timeout
Comment 4 Dmitry Marakasov 2009-03-25 15:34:25 UTC
> Feedback timeout
> 
> http://www.freebsd.org/cgi/query-pr.cgi?pr=132124

The port also doesn't seem to work. I've mained submitter, but got
no reply yet.

-- 
Dmitry Marakasov   .   55B5 0596 FF1E 8D84 5F56  9510 D35A 80DD F9D2 F77D
amdmi3@amdmi3.ru  ..:  jabber: amdmi3@jabber.ru    http://www.amdmi3.ru
Comment 5 Dmitry Marakasov freebsd_committer 2009-04-02 01:57:12 UTC
State Changed
From-To: open->closed

New port added, with minor changes. Thanks!
Comment 6 dfilter service freebsd_committer 2009-04-02 01:57:17 UTC
amdmi3      2009-04-02 00:57:07 UTC

  FreeBSD ports repository

  Modified files:
    lang                 Makefile 
  Added files:
    lang/tinypy          Makefile distinfo pkg-descr 
  Log:
  tinypy is a minimalist implementation of python in 64k of code
  
  it includes a whole heap of features:
  
   * parser and bytecode compiler written in tinypy
   * fully bootstrapped
   * luaesque virtual machine with garbage collection written in C
     it's "stackless" sans any "stackless" features
   * cross-platform :) it runs under windows / linux / macosx
   * a fairly decent subset of python
      o classes and single inheritance
      o functions with variable or keyword arguments
      o strings, lists, dicts, numbers
      o modules, list comprehensions
      o exceptions with full traceback
      o some builtins
   * batteries not included -- yet
  
  WWW:    http://www.tinypy.org/
  
  PR:             132124
  Submitted by:   Marcin Cieslak <saper at SYSTEM dot PL>
  
  Revision  Changes    Path
  1.631     +1 -0      ports/lang/Makefile
  1.1       +50 -0     ports/lang/tinypy/Makefile (new)
  1.1       +3 -0      ports/lang/tinypy/distinfo (new)
  1.1       +19 -0     ports/lang/tinypy/pkg-descr (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"